// Jean Luc Biellmann - contact@alsatux.com

"use strict";

var _MenuGUI = {
	init: function () {
		document.getElementById('menu_prev_year').addEventListener("click",_MenuGUI.click_prev_year);
		document.getElementById('menu_next_year').addEventListener("click",_MenuGUI.click_next_year);
		document.getElementById('menu_goto_today').addEventListener("click",_MenuGUI.click_today);
	},
	click_prev_year: function () {
		_CalGUI.goto_year(_CalGUI.current_year-1);
		_CalGUI.refresh_events();
	},
	click_next_year: function () {
		_CalGUI.goto_year(_CalGUI.current_year+1);
		_CalGUI.refresh_events();
	},
	click_today: function () {
		var now = new Date();
		if (_CalGUI.current_year!=now.getFullYear()) {
			_CalGUI.goto_year(now.getFullYear());
			_CalGUI.refresh_events();
		}
		_MenuGUI.scroll_today();
	},
	scroll_today: function () {
		var now = new Date();
		var div_now = document.getElementById('day_' + now.toYYYYMMDD('-'));
		document.getElementById('cal').scrollTop = div_now.offsetTop;
	}
};

